import * as redux from 'redux';
import * as _reduxjs_toolkit from '@reduxjs/toolkit';
import * as immer from 'immer';

declare const sliceName = "onboarding";
declare const initialState: {
    approach: null;
    complete: boolean;
    deviceType: null;
    demoArtifactPort: number;
    progress: null;
    showTips: null;
    showTipsDialog: boolean;
};
declare const onboardingSlice: _reduxjs_toolkit.Slice<{
    approach: null;
    complete: boolean;
    deviceType: null;
    demoArtifactPort: number;
    progress: null;
    showTips: null;
    showTipsDialog: boolean;
}, {
    setOnboardingState: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => any;
    setDemoArtifactPort: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setShowOnboardingHelp: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setShowDismissOnboardingTipsDialog: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setOnboardingComplete: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setOnboardingProgress: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setOnboardingDeviceType: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setOnboardingApproach: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
}, "onboarding", "onboarding", _reduxjs_toolkit.SliceSelectors<{
    approach: null;
    complete: boolean;
    deviceType: null;
    demoArtifactPort: number;
    progress: null;
    showTips: null;
    showTipsDialog: boolean;
}>>;
declare const actions: _reduxjs_toolkit.CaseReducerActions<{
    setOnboardingState: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => any;
    setDemoArtifactPort: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setShowOnboardingHelp: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setShowDismissOnboardingTipsDialog: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setOnboardingComplete: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setOnboardingProgress: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setOnboardingDeviceType: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setOnboardingApproach: (state: immer.WritableDraft<{
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
}, "onboarding">;
declare const _default: redux.Reducer<{
    approach: null;
    complete: boolean;
    deviceType: null;
    demoArtifactPort: number;
    progress: null;
    showTips: null;
    showTipsDialog: boolean;
}>;

export { actions, _default as default, initialState, onboardingSlice, sliceName };
