declare function commonProcessor(searchParams: any): {
    pageState: {};
    params: URLSearchParams;
    sort: {} | undefined;
};
declare function parseDeviceQuery(searchParams: any, extraProps?: {}): {
    open: boolean;
    detailsTab: string | null;
    filters: any[];
    groupName: string;
} | {
    open?: undefined;
    detailsTab: string | null;
    filters: any[];
    groupName: string;
};
declare function formatPageState({ selectedId, selectedIssues, page, perPage, sort }: {
    selectedId: any;
    selectedIssues: any;
    page: any;
    perPage: any;
    sort: any;
}, { defaults }: {
    defaults: any;
}): string;
declare function formatDeviceSearch({ pageState, filters, selectedGroup }: {
    pageState: any;
    filters: any;
    selectedGroup: any;
}): string;
declare function generateDevicePath({ pageState }: {
    pageState: any;
}): string;
declare function formatAuditlogs({ pageState }: {
    pageState: any;
}, { today, tonight }: {
    today: any;
    tonight: any;
}): string;
declare function parseDateParams(params: any, today: any, tonight: any): {
    endDate: any;
    startDate: any;
};
declare function parseAuditlogsQuery(params: any, { today, tonight }: {
    today: any;
    tonight: any;
}): {
    detail: any;
    endDate: any;
    startDate: any;
    type: any;
    user: any;
};
declare function formatDeployments({ deploymentObject, pageState }: {
    deploymentObject: any;
    pageState: any;
}, { defaults, today, tonight }: {
    defaults: any;
    today: any;
    tonight: any;
}): string;
declare function parseDeploymentsQuery(params: any, { pageState, location, tonight }: {
    pageState: any;
    location: any;
    tonight: any;
}): {
    deploymentObject: {};
    general: {
        showCreationDialog: boolean;
        showReportDialog: boolean;
        state: any;
    };
};
declare function generateDeploymentsPath({ pageState }: {
    pageState: any;
}): string;
declare function formatReleases({ pageState: { searchTerm, selectedTags, tab, type } }: {
    pageState: {
        searchTerm: any;
        selectedTags?: never[] | undefined;
        tab: any;
        type: any;
    };
}): string;
declare function generateReleasesPath({ pageState: { selectedRelease } }: {
    pageState: {
        selectedRelease: any;
    };
}): string;
declare function parseReleasesQuery(queryParams: any, extraProps: any): {
    searchTerm: any;
    selectedRelease: string;
    tab: any;
    tags: any;
    type: any;
};
declare function generateTenantPath({ pageState: { selectedTenant } }: {
    pageState: {
        selectedTenant: any;
    };
}): string;
declare function generateTenantPathById(id: any): string;
declare function parseTenantsQuery(queryParams: any, extraProps: any): {
    name: any;
    selectedTenant: any;
};
declare function formatTenants(): string;

export { commonProcessor, formatAuditlogs, formatDeployments, formatDeviceSearch, formatPageState, formatReleases, formatTenants, generateDeploymentsPath, generateDevicePath, generateReleasesPath, generateTenantPath, generateTenantPathById, parseAuditlogsQuery, parseDateParams, parseDeploymentsQuery, parseDeviceQuery, parseReleasesQuery, parseTenantsQuery };
